/* eslint-disable */
import Vue from 'vue'
import Router from 'vue-router'
// import HelloWorld from '@/components/HelloWorld.vue'

Vue.use(Router)



const router = new Router({
    mode: 'hash',
    base: '/',
    routes: [
        {
            path: '/',
            redirect: '/index'
        },
        {
            path: '/index',
            name: '首页',
            component: r => require.ensure([], () => r(require('../views/index')), 'index'),
            children:[
                { path: '', component:r => require.ensure([], () => r(require('../views/dashbord')), 'dashbord'),},
                {
                    path: 'dashbord', component: r => require.ensure([], () => r(require('../views/dashbord')), 'dashbord'),
                },
                {
                    path: 'fan',  component: r => require.ensure([], () => r(require('../views/fan')), 'fan'),
                },
                 {
                    path: 'fru_info',  component: r => require.ensure([], () => r(require('../views/FRUInfo')), 'fan'),
                },
            ]
        },
        {
            path: '/login',
            name: '登录',
            component: r => require.ensure([], () => r(require('../views/login')), 'login')
        },

    ]
})

// router.beforeEach((to, from, next) => {

//     let title = to.name ? to.name : '领存企业'
//     next()
// })
// // 跳转后返回顶部
// router.afterEach((to, from, next) => {
//     window.scrollTo(0, 0)
// })
export default router
